
Foreman - Bug #22203

Navigating through nested facts fails if the fact name contains dot

01/09/2018 04:59 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Facts   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5158

  

Description

The reason is the dot is considered a separator before format. We need to enforce parent parameter regular expression for it to also

consume dot.

Associated revisions

Revision 3ffff2e1 - 01/10/2018 02:49 PM - Marek Hulán

Fixes #22203 - facts traversing supports dot in names

History

#1 - 01/09/2018 05:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5158 added

#2 - 01/10/2018 02:49 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 01/10/2018 03:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3ffff2e171dc6c0ee8257d67b24d2c6ad10015d4.
